VGONE(9)

NAME
vgone - prepare a vnode for reuse

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
void
vgone(struct vnode *vp);

DESCRIPTION
The vgone() function prepares the vnode to be destroyed. The preparation includes the cleaning of all file system specific data and the removal from its mount point vnode list.

If the vnode has a v_usecount of zero, and its VIRF_DOOMED flag is not set, it is moved to the head of the free list as in most cases the vnode is about to be reused, or its file system is being unmounted.

The vgone() function takes an exclusively locked vnode, and returns with the vnode exclusively locked.

SEE ALSO
vnode(9)

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.